MCP Reference: ces.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

MCP server for Gemini Enterprise for Customer Experience API

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The ces.googleapis.com MCP server has the following MCP endpoint:

  • https://ces.[REGION].rep.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The ces.googleapis.com MCP server has the following tools:

MCP Tools
list_apps Lists apps in the given project and location.
get_app Gets details of the specified app.
create_app Creates a new app in the given project and location.
update_app Updates the specified app. Make sure to always pass an update mask in the input.
delete_app Deletes the specified app.
list_agents Lists agents in the given app.
get_agent Gets details of the specified agent.
create_agent Creates a new agent in the given app.
update_agent Updates the specified agent. Make sure to always pass an update mask in the input.
delete_agent Deletes the specified agent.
list_tools Lists tools in the given app.
get_tool Gets details of the specified tool.
create_tool Creates a new tool in the given app.
update_tool Updates the specified tool. Make sure to always pass an update mask in the input.
delete_tool Deletes the specified tool.
list_guardrails Lists guardrails in the given app.
get_guardrail Gets details of the specified guardrail.
create_guardrail Creates a new guardrail in the given app.
update_guardrail Updates the specified guardrail. Make sure to always pass an update mask in the input.
delete_guardrail Deletes the specified guardrail.
list_deployments Lists deployments in the given app.
get_deployment Gets details of the specified deployment.
create_deployment Creates a new deployment in the given app.
update_deployment Updates the specified deployment. Make sure to always pass an update mask in the input.
delete_deployment Deletes the specified deployment.
list_toolsets Lists toolsets in the given app.
get_toolset Gets details of the specified toolset.
create_toolset Creates a new toolset in the given app.
update_toolset Updates the specified toolset. Make sure to always pass an update mask in the input.
delete_toolset Deletes the specified toolset.
list_app_versions Lists all app versions in the given app.
get_app_version Gets details of the specified app version.
create_app_version Creates a new app version in the given app.
delete_app_version Deletes the specified app version.
restore_app_version Restores the specified app version.
list_changelogs Lists changelogs in the given app.
get_changelog Gets details of the specified changelog.
start_export_app Starts to export a CES app
start_import_app Starts to import a CES app
run_evaluation Runs an evaluation for a CES app
create_evaluation Creates a new evaluation.
create_evaluation_dataset Creates a new evaluation dataset.
delete_evaluation Deletes the specified evaluation.
delete_evaluation_dataset Deletes the specified evaluation dataset.
generate_evaluation_from_conversation Generates an evaluation from a conversation.
get_evaluation Gets details of the specified evaluation.
get_evaluation_dataset Gets details of the specified evaluation dataset.
get_evaluation_result Gets details of the specified evaluation result.
get_evaluation_run Gets details of the specified evaluation run.
list_evaluation_datasets Lists evaluation datasets.
list_evaluation_results Lists evaluation results.
list_evaluation_runs Lists evaluation runs.
list_evaluations Lists evaluations.
update_evaluation Updates the specified evaluation. Make sure to always pass an update mask in the input.
update_evaluation_dataset Updates the specified evaluation dataset Make sure to always pass an update mask in the input.
delete_evaluation_result Deletes the specified evaluation result.
delete_evaluation_run Deletes the specified evaluation run.
get_conversation Gets details of the specified conversation.
list_conversations Lists conversations.
get_operation

Gets the status of a long-running operation.

Usage Some tools (for example, run_evaluation) return a long-running operation. You can use this tool to get the status of the operation. It can be called repeatedly to poll the status of a long running operation

Parameters * name: The name of the operation to get. * name should be the name returned by the tool that initiated the operation. * name should be in the format of projects/{project}/locations/{location}/operations/{operation}.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'